# Uses of Class
org.mariadb.jdbc.internal.com.read.Buffer

Packages that use Buffer
Package
Description
org.mariadb.jdbc.authentication
org.mariadb.jdbc.internal.com.read
org.mariadb.jdbc.internal.com.read.resultset
org.mariadb.jdbc.internal.com.send.authentication
org.mariadb.jdbc.internal.io.input

## Uses of Buffer in org.mariadb.jdbc.authentication

Methods in org.mariadb.jdbc.authentication that return Buffer
Modifier and Type
Method
Description
`Buffer`
AuthenticationPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process plugin authentication.

## Uses of Buffer in org.mariadb.jdbc.internal.com.read

Methods in org.mariadb.jdbc.internal.com.read that return Buffer
Modifier and Type
Method
Description
`Buffer`
Buffer.`getLengthEncodedBuffer()`
Get next data bytes from length encoded prefix.
Constructors in org.mariadb.jdbc.internal.com.read with parameters of type Buffer
Modifier
Constructor
Description
``
`ErrorPacket(Buffer buffer)`
Reading error stream.

## Uses of Buffer in org.mariadb.jdbc.internal.com.read.resultset

Constructors in org.mariadb.jdbc.internal.com.read.resultset with parameters of type Buffer
Modifier
Constructor
Description
``
`ColumnDefinition(Buffer buffer)`
Read column information from buffer.

## Uses of Buffer in org.mariadb.jdbc.internal.com.send.authentication

Methods in org.mariadb.jdbc.internal.com.send.authentication that return Buffer
Modifier and Type
Method
Description
`Buffer`
CachingSha2PasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process native password plugin authentication.
`Buffer`
ClearPasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Send password in clear text to server.
`Buffer`
Ed25519PasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process Ed25519 password plugin authentication.
`Buffer`
NativePasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process native password plugin authentication.
`Buffer`
OldPasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process old password plugin authentication.
`Buffer`
SendGssApiAuthPacket.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process gssapi plugin authentication.
`Buffer`
SendPamAuthPacket.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process PAM plugin authentication.
`Buffer`
Sha256PasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process SHA 256 password plugin authentication.

## Uses of Buffer in org.mariadb.jdbc.internal.io.input

Methods in org.mariadb.jdbc.internal.io.input that return Buffer
Modifier and Type
Method
Description
`Buffer`
DecompressPacketInputStream.`getPacket(boolean reUsable)`
`Buffer`
PacketInputStream.`getPacket(boolean reUsable)`
`Buffer`
StandardPacketInputStream.`getPacket(boolean reUsable)`